*,
*::after,
*::before {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  text-decoration: none;
  outline: none;
  list-style-type: none;
}
html {
  font-size: 62.5%;
}

body {
  font-family: Arial, Helvetica, sans-serif;
  font-weight: 400;
  height: 100vh;
  width: 100vw;
  background-color: #dcdfe3;
}

h1 {
  text-align: center;
  font-size: 3.5rem;
  font-weight: 900;
  padding: 1rem 0;
  background-color: teal;
  color: whitesmoke;
}

.container {
  background-color: #4487cd;
  padding: 2rem 2rem;
  color: whitesmoke;
  width: 50%;
  display: flex;
  text-align: center;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border: 1px solid black;
  position: relative;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 0.5rem;
}

.btn {
  background-color: #b025b9;
  border: none;
  font-size: 2.5rem;
  color: #fff;
  padding: 1rem 2rem;
  border-radius: 0.5rem;
  margin-top: 1rem;
  cursor: pointer;
  transition: all 0.3s;
}

.btn:hover {
  box-shadow: 0.4rem 0.4rem 0.2rem rgb(59, 59, 59);
}

.joke,
.punch {
  font-weight: 600;
}

.joke {
  font-size: 4.5rem;
}

.punch {
  margin: 2rem 0;
  font-size: 3.5rem;
  color: rgb(194, 255, 175);
}

@media screen and (max-width: 480px) {
  body {
    padding: 0;
  }
  .container {
    width: 100%;
    border: 10px solid whitesmoke;
  }
  .punch {
    font-size: 2.5rem;
  }
  .joke {
    font-size: 3.2rem;
  }
  h1{
      font-size: 1.8rem;
  }
}
